### Method

# Xdp Portal dynamic_launcher_get_icon

#### Declaration [src]

    GVariant*
    xdp_portal_dynamic_launcher_get_icon (
      XdpPortal* portal,
      const char* desktop_file_id,
      char** out_icon_format,
      guint* out_icon_size,
      GError** error
    )

#### Description [src]

This function gets the icon associated with a .desktop file that was previously installed by the dynamic launcher portal.

The `desktop_file_id` must be prefixed with the caller’s app ID followed by a “.” and suffixed with “.desktop”.

#### Parameters

`desktop_file_id` | `const char*`
| The .desktop file name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`out_icon_format` | `char**`
| Return location for icon format string, one of “png”, “jpeg”, “svg”
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`out_icon_size` | `guint*`
| Return location for icon size.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GVariant`
| The icon in a format recognized by g_icon_deserialize(), or `NULL` with `error` set.
| The caller of the method takes ownership of the data, and is responsible for freeing it.